<?php

namespace common\libs\dataList;


interface DataListInterface
{
    /**
     * 获取列表名称
     * @return mixed
     */
    public function getListName();

    /**
     * 处理列表数据
     */
    public function dataHandle();

    /**
     * 获取列
     * @return mixed
     */
    public function getColumn();

    /**
     * 获取筛选类型
     * @return mixed
     */
    public function getFilterTypes();
}